Shop Gift Certificate (deprecated)

POST Get Gift Certificate

POST /gift_certificate

Operation ID: Get Gift Certificate. Tags: gift_certificate. Security: customers_auth; oauth2_application; client_id.

Action to retrieve an existing gift certificate.

This endpoint may return the following faults:

  • 404 - GiftCertificateNotFoundException - Thrown if the given gift certificate code is not valid.

Request body

Media type: application/json, text/xml. Schema: gift_certificate_request.

Responses

  • 404 GiftCertificateNotFoundException - Thrown if the given gift certificate code is not valid.

    Media type: application/json, text/xml. Schema: fault.

  • default

    Media type: application/json, text/xml. Schema: gift_certificate.